import { IEdge } from "./interface";
export const templateConfigJson = {
  title: "slurm backend demo",
  version: "1.0.0",
  updateTime: "",
  description: "简单的批任务工作流，测试slurm backend和流程是否能用",
  language: "WDL",
  languageVersion: "draft-2",
  tags: ["Docking", "Gromax"],
  source: "BASE64_ENCODED_WDL/CWL",
  productId: "cadd",
  id: "123",
  tasks: [
    {
      id: "批式算子ID1",
      title: "task_A",
      description: "这是task_A",
      position: {
        x: 0,
        y: 0,
      },
      type: "BATCH",
      // parameters: [],
      parameters: [
        {
          hidden: false,
          name: "in",
          required: true,
          classType: "input",
          classTypeName: "input",
          // domType: "input",
          domType: "select",
          // domType: "multipleselect",
          // domType: "radio",
          // domType: "checkbox",
          dataType: "stringParameter",
          value: "",
          // value: [],
          description: "输入一段字符串",
          validators: [
            {
              regex: "^[0-9]*$",
              message: "只能输入数字",
            },
          ],
          choices: [
            {
              key: "1",
              value: "a",
            },
            {
              key: "2",
              value: "2",
            },
            {
              key: "3",
              value: "3",
            },
          ],
          language: "1",
          languageVersion: "1",
          tags: ["1"],
          source: "1",
          productId: "1",
          tasks: [
            {
              id: "id",
              title: "title",
              description: "description",
              position: {
                x: 100,
                y: 200,
              },
              type: "BATCH",
              parentNode: "1",
              parameters: [],
              edges: [],
            },
          ],
        },
      ],
      edges: [] as Array<IEdge>,
    },
    // {
    //   id: "批式算子ID1",
    //   title: "task_A",
    //   description: "这是task_A",
    //   position: {
    //     x: 0,
    //     y: 0,
    //   },
    //   type: "FLOW",
    //   parameters: [
    //     {
    //       hidden: false,
    //       name: "in",
    //       required: true,
    //       classType: "input",
    //       classTypeName: "input",
    //       // domType: "input",
    //       domType: "select",
    //       // domType: "multipleselect",
    //       // domType: "radio",
    //       // domType: "checkbox",
    //       dataType: "stringParameter",
    //       value: "",
    //       // value: [],
    //       description: "输入一段字符串",
    //       validators: [
    //         {
    //           regex: "^[0-9]*$",
    //           message: "只能输入数字",
    //         },
    //       ],
    //       choices: [
    //         {
    //           key: "1",
    //           value: "a",
    //         },
    //         {
    //           key: "2",
    //           value: "2",
    //         },
    //         {
    //           key: "3",
    //           value: "3",
    //         },
    //       ],
    //       language: "1",
    //       languageVersion: "1",
    //       tags: ["1"],
    //       source: "1",
    //       productId: "1",
    //       tasks: [
    //         {
    //           id: "id",
    //           title: "title",
    //           description: "description",
    //           position: {
    //             x: 100,
    //             y: 200,
    //           },
    //           type: "BATCH",
    //           parentNode: "1",
    //           parameters: [],
    //           edges: [],
    //         },
    //       ],
    //     },
    //   ],
    //   edges: [] as Array<IEdge>,
    // },
  ],
};
// {
//   title: "workflow_gmx",
//   version: "1.0.0",
//   description: "Docking and Gromax",
//   language: "WDL",
//   languageVersion: "1.0",
//   tags: ["Docking", "Gromax"],
//   source: "",
//   productId: "cadd",
//   updateTime: "20220622",
//   tasks: [
//     {
//       id: "批式算子ID1",
//       title: "docking",
//       description: "docking",
//       position: {
//         x: 0.0,
//         y: 0.0,
//       },
//       type: "BATCH",
//       parameters: [],
//       edges: [],
//     },
//     {
//       id: "流式算子ID1",
//       title: "actor 1",
//       description: "actor 1",
//       position: {
//         x: 0.0,
//         y: 0.0,
//       },
//       type: "FLOW",
//       parameters: [
//         {
//           hidden: false,
//           name: "actor1_path",
//           required: true,
//           domType: "FILE",
//           classType: "stringParameter",
//           value: "",
//           description: "路径",
//           validators: [],
//           choices: [],
//         },
//         {
//           hidden: false,
//           name: "actor1_raw",
//           required: true,
//           domType: "INPUT",
//           classType: "stringParameter",
//           value: "",
//           description: "输入一段字符串",
//           validators: [],
//           choices: [],
//         },
//         {
//           hidden: false,
//           name: "actor1_chunk_size",
//           required: true,
//           domType: "INPUT",
//           classType: "stringParameter",
//           value: "",
//           description: "输入一段字符串",
//           validators: [],
//           choices: [],
//         },
//       ],
//       edges: [],
//     },
//     {
//       id: "流式算子ID2",
//       title: "actor 2",
//       description: "actor 2",
//       position: {
//         x: 0.0,
//         y: 0.0,
//       },
//       type: "FLOW",
//       parameters: [],
//       edges: [],
//     },
//     {
//       id: "流式算子ID3",
//       title: "actor 3",
//       description: "actor 3",
//       position: {
//         x: 0.0,
//         y: 0.0,
//       },
//       type: "FLOW",
//       parameters: [
//         {
//           hidden: false,
//           name: "actor3_receptor",
//           required: true,
//           domType: "FILE",
//           classType: "stringParameter",
//           value: "",
//           description: "路径",
//           validators: [],
//           choices: [],
//         },
//         {
//           hidden: false,
//           name: "actor3_center",
//           required: true,
//           domType: "SELECT",
//           classType: "stringParameter",
//           value: "",
//           description: "输入一段字符串",
//           validators: [],
//           choices: [],
//         },
//         {
//           hidden: false,
//           name: "actor3_box_size",
//           required: true,
//           domType: "SELECT",
//           classType: "stringParameter",
//           value: "",
//           description: "输入一段字符串",
//           validators: [],
//           choices: [],
//         },
//         {
//           hidden: false,
//           name: "actor3_poses_num",
//           required: true,
//           domType: "INPUT",
//           classType: "stringParameter",
//           value: "",
//           description: "输入一段字符串",
//           validators: [],
//           choices: [],
//         },
//         {
//           hidden: false,
//           name: "actor3_verbosity",
//           required: true,
//           domType: "INPUT",
//           classType: "stringParameter",
//           value: "",
//           description: "输入一段字符串",
//           validators: "",
//           choices: [],
//         },
//         {
//           hidden: false,
//           name: "actor3_exhaustiveness",
//           required: true,
//           domType: "INPUT",
//           classType: "stringParameter",
//           value: "",
//           description: "输入一段字符串",
//           validators: [],
//           choices: [],
//         },
//       ],
//       edges: [],
//     },
//     {
//       id: "流式算子ID4",
//       title: "actor 4",
//       description: "actor 4",
//       position: {
//         x: 0.0,
//         y: 0.0,
//       },
//       type: "FLOW",
//       parameters: [
//         {
//           hidden: false,
//           name: "actor4_path",
//           required: true,
//           domType: "FILE",
//           classType: "stringParameter",
//           value: "",
//           description: "路径",
//           validators: [],
//           choices: [],
//         },
//         {
//           hidden: false,
//           name: "actor4_compression",
//           required: true,
//           domType: "INPUT",
//           classType: "stringParameter",
//           value: "",
//           description: "输入一段字符串",
//           validators: [],
//           choices: [],
//         },
//         {
//           hidden: false,
//           name: "actor4_chunk_size",
//           required: true,
//           domType: "INPUT",
//           classType: "stringParameter",
//           value: "",
//           description: "输入一段字符串",
//           validators: [],
//           choices: [],
//         },
//       ],
//       edges: [],
//     },
//     {
//       id: "流式算子ID5",
//       title: "actor 5",
//       description: "actor 5",
//       position: {
//         x: 0.0,
//         y: 0.0,
//       },
//       type: "FLOW",
//       parameters: [],
//       edges: [],
//     },
//     {
//       id: "流式算子ID6",
//       title: "actor 6",
//       description: "actor 6",
//       position: {
//         x: 0.0,
//         y: 0.0,
//       },
//       type: "FLOW",
//       parameters: [
//         {
//           hidden: false,
//           name: "actor6_path",
//           required: true,
//           domType: "FILE",
//           classType: "stringParameter",
//           value: "",
//           description: "路径",
//           validators: [],
//           choices: [],
//         },
//         {
//           hidden: false,
//           name: "actor6_many",
//           required: true,
//           domType: "INPUT",
//           classType: "stringParameter",
//           value: "",
//           description: "输入一段字符串",
//           validators: [],
//           choices: [],
//         },
//         {
//           hidden: false,
//           name: "actor6_chunk_size",
//           required: true,
//           domType: "INPUT",
//           classType: "stringParameter",
//           value: "",
//           description: "输入一段字符串",
//           validators: [],
//           choices: [],
//         },
//         {
//           hidden: false,
//           name: "actor6_suffix",
//           required: true,
//           domType: "SELECT",
//           classType: "stringParameter",
//           value: "",
//           description: "输入一段字符串",
//           validators: [],
//           choices: [
//             {
//               label: "SUFFIX",
//               value: ".pdb",
//             },
//           ],
//         },
//         {
//           hidden: false,
//           name: "sdk_version",
//           required: true,
//           domType: "INPUT",
//           classType: "stringParameter",
//           value: "",
//           description: "输入一段字符串",
//           validators: [],
//           choices: [],
//         },
//       ],
//       edges: [],
//     },
//     {
//       id: "批式算子ID2",
//       title: "pdb2tpr",
//       description: "docking",
//       position: {
//         x: 0.0,
//         y: 0.0,
//       },
//       type: "BATCH",
//       parameters: [
//         {
//           hidden: true,
//           name: "pdb_in",
//           required: true,
//           domType: "FILE",
//           classType: "stringParameter",
//           value: "f",
//           description: "路径",
//           validators: [],
//           choices: [],
//         },
//       ],
//       edges: [],
//     },
//     {
//       id: "批式算子ID2",
//       title: "pdb2tpr",
//       description: "docking",
//       position: {
//         x: 0.0,
//         y: 0.0,
//       },
//       type: "BATCH",
//       parameters: [
//         {
//           hidden: true,
//           name: "tpr_path",
//           required: true,
//           domType: "FILE",
//           classType: "stringParameter",
//           value: "f",
//           description: "路径",
//           validators: [],
//           choices: [],
//         },
//         {
//           hidden: true,
//           name: "pdb_out",
//           required: true,
//           domType: "FILE",
//           classType: "stringParameter",
//           value: "f",
//           description: "路径",
//           validators: [],
//           choices: [],
//         },
//       ],
//       edges: [],
//     },
//   ],
// };

// {
//   title: "slurm backend demo",
//   version: "1.0.0",
//   updateTime: "",
//   description: "简单的批任务工作流，测试slurm backend和流程是否能用",
//   language: "WDL",
//   languageVersion: "draft-2",
//   tags: ["Docking", "Gromax"],
//   source: "BASE64_ENCODED_WDL/CWL",
//   productId: "cadd",
//   tasks: [
//     {
//       id: "批式算子ID1",
//       title: "task_A",
//       description: "这是task_A",
//       position: {
//         x: 0,
//         y: 0,
//       },
//       type: "batch",
//       parameters: [
//         {
//           hidden: false,
//           name: "in",
//           required: true,
//           domType: "input",
//           dataType: "stringParameter",
//           value: "",
//           description: "输入一段字符串",
//           validators: "",
//           choices: [],
//         },
//         {
//           hidden: true,
//           name: "out",
//           required: true,
//           domType: "File",
//           dataType: "stringParameter",
//           value: "/home/cloudam/task_a.out",
//           description: "task_A的输出",
//           validators: "",
//           choices: [],
//         },
//       ],
//       edges: [],
//     },
//     {
//       id: "流式算子ID1",
//       title: "task_B",
//       description: "这是task_B",
//       position: {
//         x: 100,
//         y: 50,
//       },
//       type: "batch",
//       parameters: [
//         {
//           hidden: true,
//           name: "in",
//           required: true,
//           domType: "pathSelect",
//           // pathSelect-路径选择器  datasetSelect-数据集选择器 fileSelect-文件选择器 input-输入框 select-单选下拉框 multipleSelect-多选下拉框 radio-单选组 checkbox-多选组
//           dataType: "stringParameter",
//           value: "task_A.out",
//           description: "这是task_B的输入",
//           validators: "",
//           choices: [],
//         },
//         {
//           hidden: false,
//           name: "sb",
//           required: false,
//           domType: "input",
//           // pathSelect-路径选择器  datasetSelect-数据集选择器 fileSelect-文件选择器 input-输入框 select-单选下拉框 multipleSelect-多选下拉框 radio-单选组 checkbox-多选组
//           dataType: "stringParameter",
//           value: "",
//           description: "这是task_B的输入",
//           validators: [],
//           choices: [],
//         },
//       ],
//       edges: [
//         {
//           id: "",
//           source: "流式算子ID1",
//           sourceHandle: "流式算子1出口A",
//           target: "流式算子ID2",
//           targetHandle: "流式算子2入口A",
//           lable: "",
//         },
//       ],
//     },
//     {
//       id: "流式算子ID1",
//       title: "task_C",
//       description: "这是task_C",
//       position: {
//         x: 100,
//         y: 100,
//       },
//       type: "batch",
//       parameters: [
//         {
//           hidden: true,
//           name: "in",
//           required: true,
//           domType: "pathSelect",
//           // pathSelect-路径选择器  datasetSelect-数据集选择器 fileSelect-文件选择器 input-输入框 select-单选下拉框 multipleSelect-多选下拉框 radio-单选组 checkbox-多选组
//           dataType: "stringParameter",
//           value: "task_A.out",
//           description: "这是task_C的输入",
//           validators: "",
//           choices: [],
//         },
//         {
//           hidden: false,
//           name: "sc",
//           required: false,
//           domType: "input",
//           // pathSelect-路径选择器  datasetSelect-数据集选择器 fileSelect-文件选择器 input-输入框 select-单选下拉框 multipleSelect-多选下拉框 radio-单选组 checkbox-多选组
//           dataType: "stringParameter",
//           value: "",
//           description: "这是task_C的输入",
//           validators: [],
//           choices: [],
//         },
//       ],
//       edges: [
//         {
//           id: "",
//           source: "流式算子ID1",
//           sourceHandle: "流式算子1出口A",
//           target: "流式算子ID2",
//           targetHandle: "流式算子2入口A",
//           lable: "",
//         },
//       ],
//     },
//   ],
// };

// {
//   id: "模板ID",
//   title: "Docking兼分子结合自由能计算",
//   version: "1.0.0",
//   updateTime: "2022-01-22",
//   description:
//     "这是一段模板描述这是一段模板描述这是一段模板描述这是一段模板描述这是一段模板描述这是一段模板描述",
//   language: "WDL",
//   languageVersion: "1.0",
//   tags: ["Docking", "Gromax"],
//   source: "BASE64_ENCODED_WDL/CWL",
//   Apps: [
//     {
//       id: "批式算子ID1",
//       title: "Docking(Vina)",
//       description: "这是一段批式算子描述这是一段批式算子描述",
//       position: {
//         x: 0,
//         y: 0,
//       },
//       type: "batch",
//       parentNode: "",
//       // "hasChildren":false  用于区分该批式算子内是否有流式算子，因为有与没有的流程图样式是不一样的，这个字段由前端自行判断添加
//       data: {
//         status: "wait", // 可选值有 success、error、run、wait
//         // "selected":false 前端自行生成，判断该算子是否被选中
//         parameters: [],
//       },
//       edges: [],
//     },
//     {
//       id: "流式算子ID1",
//       title: "RecordFileReader",
//       description:
//         "这是一段RecordFileReader算子描述这是一段RecordFileReader算子描述",
//       position: {
//         x: 100,
//         y: 50,
//       },
//       type: "flow",
//       parentNode: "批式算子ID1",
//       data: {
//         status: "wait", // 可选值有 success、error、run、wait
//         // "completed":false 前端自行生成，判断该算子内参数是否全部填写完成
//         parameters: [
//           {
//             hidden: false,
//             id: "",
//             name: "path",
//             required: true,
//             domType: "pathSelect",
//             // pathSelect-路径选择器  datasetSelect-数据集选择器 fileSelect-文件选择器 input-输入框 select-单选下拉框 multipleSelect-多选下拉框 radio-单选组 checkbox-多选组
//             dataType: "stringParameter",
//             value: "",
//             description: "这是一段参数描述这是一段参数描述这是一段参数描述",
//             validators: "",
//             choices: [],
//           },
//           {
//             hidden: true,
//             id: "",
//             name: "raw",
//             required: false,
//             domType: "radio",
//             // pathSelect-路径选择器  datasetSelect-数据集选择器 fileSelect-文件选择器 input-输入框 select-单选下拉框 multipleSelect-多选下拉框 radio-单选组 checkbox-多选组
//             dataType: "booleanParameter",
//             value: "false",
//             description: "这是一段参数描述这是一段参数描述这是一段参数描述",
//             validators: "",
//             choices: [
//               {
//                 key: "true",
//                 value: "true",
//               },
//               {
//                 key: "false",
//                 value: "false",
//               },
//             ],
//           },
//           {
//             hidden: false,
//             id: "",
//             name: "sep",
//             required: false,
//             domType: "input",
//             // pathSelect-路径选择器  datasetSelect-数据集选择器 fileSelect-文件选择器 input-输入框 select-单选下拉框 multipleSelect-多选下拉框 radio-单选组 checkbox-多选组
//             dataType: "stringParameter",
//             value: "",
//             description: "这是一段参数描述这是一段参数描述这是一段参数描述",
//             validators: "",
//             choices: [],
//           },
//           {
//             hidden: true,
//             id: "",
//             name: "contains_sep",
//             required: false,
//             domType: "radio",
//             // pathSelect-路径选择器  datasetSelect-数据集选择器 fileSelect-文件选择器 input-输入框 select-单选下拉框 multipleSelect-多选下拉框 radio-单选组 checkbox-多选组
//             dataType: "booleanParameter",
//             value: "false",
//             description: "这是一段参数描述这是一段参数描述这是一段参数描述",
//             validators: "",
//             choices: [
//               {
//                 key: "true",
//                 value: "true",
//               },
//               {
//                 key: "false",
//                 value: "false",
//               },
//             ],
//           },
//           {
//             hidden: true,
//             id: "",
//             name: "encoding",
//             required: false,
//             domType: "input",
//             // pathSelect-路径选择器  datasetSelect-数据集选择器 fileSelect-文件选择器 input-输入框 select-单选下拉框 multipleSelect-多选下拉框 radio-单选组 checkbox-多选组
//             dataType: "stringParameter",
//             value: "UTF-8",
//             description: "这是一段参数描述这是一段参数描述这是一段参数描述",
//             validators: "",
//             choices: [],
//           },
//           {
//             hidden: true,
//             id: "",
//             name: "chunk_size",
//             required: false,
//             domType: "input",
//             // pathSelect-路径选择器  datasetSelect-数据集选择器 fileSelect-文件选择器 input-输入框 select-单选下拉框 multipleSelect-多选下拉框 radio-单选组 checkbox-多选组
//             dataType: "numberParameter",
//             value: "1000",
//             description: "这是一段参数描述这是一段参数描述这是一段参数描述",
//             validators: "",
//             choices: [],
//           },
//           {
//             hidden: false,
//             id: "",
//             name: "compression",
//             required: false,
//             domType: "input",
//             // pathSelect-路径选择器  datasetSelect-数据集选择器 fileSelect-文件选择器 input-输入框 select-单选下拉框 multipleSelect-多选下拉框 radio-单选组 checkbox-多选组
//             dataType: "stringParameter",
//             value: "",
//             description: "这是一段参数描述这是一段参数描述这是一段参数描述",
//             validators: "",
//             choices: [],
//           },
//           {
//             hidden: true,
//             id: "",
//             name: "cpus",
//             required: false,
//             domType: "input",
//             // pathSelect-路径选择器  datasetSelect-数据集选择器 fileSelect-文件选择器 input-输入框 select-单选下拉框 multipleSelect-多选下拉框 radio-单选组 checkbox-多选组
//             dataType: "numberParameter",
//             value: "1",
//             description: "这是一段参数描述这是一段参数描述这是一段参数描述",
//             validators: "",
//             choices: [],
//           },
//           {
//             hidden: true,
//             id: "",
//             name: "ntasks",
//             required: false,
//             domType: "input",
//             // pathSelect-路径选择器  datasetSelect-数据集选择器 fileSelect-文件选择器 input-输入框 select-单选下拉框 multipleSelect-多选下拉框 radio-单选组 checkbox-多选组
//             dataType: "numberParameter",
//             value: "1",
//             description: "这是一段参数描述这是一段参数描述这是一段参数描述",
//             validators: "",
//             choices: [],
//           },
//           {
//             hidden: true,
//             id: "",
//             name: "partition",
//             required: false,
//             domType: "input",
//             // pathSelect-路径选择器  datasetSelect-数据集选择器 fileSelect-文件选择器 input-输入框 select-单选下拉框 multipleSelect-多选下拉框 radio-单选组 checkbox-多选组
//             dataType: "stringParameter",
//             value: "c-4-1",
//             description: "这是一段参数描述这是一段参数描述这是一段参数描述",
//             validators: "",
//             choices: [],
//           },
//           {
//             hidden: true,
//             id: "",
//             name: "parallelism",
//             required: false,
//             domType: "input",
//             // pathSelect-路径选择器  datasetSelect-数据集选择器 fileSelect-文件选择器 input-输入框 select-单选下拉框 multipleSelect-多选下拉框 radio-单选组 checkbox-多选组
//             dataType: "numberParameter",
//             value: "1",
//             description: "这是一段参数描述这是一段参数描述这是一段参数描述",
//             validators: "",
//             choices: [],
//           },
//           {
//             hidden: true,
//             id: "流式算子1出口A",
//             name: "out",
//             required: true,
//             domType: "",
//             // pathSelect-路径选择器  datasetSelect-数据集选择器 fileSelect-文件选择器 input-输入框 select-单选下拉框 multipleSelect-多选下拉框 radio-单选组 checkbox-多选组
//             dataType: "recordOutputParameter",
//             value: "",
//             description: "这是一段参数描述这是一段参数描述这是一段参数描述",
//             validators: "",
//             choices: [],
//           },
//         ],
//       },
//       edges: [
//         {
//           id: "",
//           source: "流式算子ID1",
//           sourceHandle: "流式算子1出口A",
//           target: "流式算子ID2",
//           targetHandle: "流式算子2入口A",
//         },
//       ],
//     },
//     {
//       id: "流式算子ID2",
//       title: "standard",
//       description: "这是一段standard算子描述这是一段standard算子描述",
//       position: {
//         x: 100,
//         y: 100,
//       },
//       type: "flow",
//       parentNode: "批式算子ID1",
//       data: {
//         status: "wait", // 可选值有 success、error、run、wait
//         // "completed":false 前端自行生成，判断该算子内参数是否全部填写完成
//         parameters: [
//           {
//             hidden: true,
//             id: "流式算子2入口A",
//             name: "in",
//             required: true,
//             domType: "",
//             // pathSelect-路径选择器  datasetSelect-数据集选择器 fileSelect-文件选择器 input-输入框 select-单选下拉框 multipleSelect-多选下拉框 radio-单选组 checkbox-多选组
//             dataType: "recordIntputParameter",
//             value: "",
//             description: "这是一段参数描述这是一段参数描述这是一段参数描述",
//             validators: "",
//             choices: [],
//           },
//           {
//             hidden: true,
//             id: "",
//             name: "cpus",
//             required: false,
//             domType: "input",
//             // pathSelect-路径选择器  datasetSelect-数据集选择器 fileSelect-文件选择器 input-输入框 select-单选下拉框 multipleSelect-多选下拉框 radio-单选组 checkbox-多选组
//             dataType: "numberParameter",
//             value: "1",
//             description: "这是一段参数描述这是一段参数描述这是一段参数描述",
//             validators: "",
//             choices: [],
//           },
//           {
//             hidden: true,
//             id: "",
//             name: "ntasks",
//             required: false,
//             domType: "input",
//             // pathSelect-路径选择器  datasetSelect-数据集选择器 fileSelect-文件选择器 input-输入框 select-单选下拉框 multipleSelect-多选下拉框 radio-单选组 checkbox-多选组
//             dataType: "numberParameter",
//             value: "4",
//             description: "这是一段参数描述这是一段参数描述这是一段参数描述",
//             validators: "",
//             choices: [],
//           },
//           {
//             hidden: true,
//             id: "",
//             name: "partition",
//             required: false,
//             domType: "input",
//             // pathSelect-路径选择器  datasetSelect-数据集选择器 fileSelect-文件选择器 input-输入框 select-单选下拉框 multipleSelect-多选下拉框 radio-单选组 checkbox-多选组
//             dataType: "stringParameter",
//             value: "c-4-1",
//             description: "这是一段参数描述这是一段参数描述这是一段参数描述",
//             validators: "",
//             choices: [],
//           },
//           {
//             hidden: true,
//             id: "",
//             name: "parallelism",
//             required: false,
//             domType: "input",
//             // pathSelect-路径选择器  datasetSelect-数据集选择器 fileSelect-文件选择器 input-输入框 select-单选下拉框 multipleSelect-多选下拉框 radio-单选组 checkbox-多选组
//             dataType: "numberParameter",
//             value: "6",
//             description: "这是一段参数描述这是一段参数描述这是一段参数描述",
//             validators: "",
//             choices: [],
//           },
//           {
//             hidden: true,
//             id: "流式算子2出口A",
//             name: "out",
//             required: true,
//             domType: "",
//             // pathSelect-路径选择器  datasetSelect-数据集选择器 fileSelect-文件选择器 input-输入框 select-单选下拉框 multipleSelect-多选下拉框 radio-单选组 checkbox-多选组
//             dataType: "recordOutputParameter",
//             value: "",
//             description: "这是一段参数描述这是一段参数描述这是一段参数描述",
//             validators: "",
//             choices: [],
//           },
//         ],
//       },
//       edges: [
//         {
//           id: "",
//           source: "流式算子ID2",
//           sourceHandle: "流式算子2出口A",
//           target: "流式算子ID3",
//           targetHandle: "流式算子3入口A",
//         },
//       ],
//     },
//     {
//       id: "流式算子ID3",
//       title: "docking",
//       description: "这是一段docking算子描述这是一段docking算子描述",
//       position: {
//         x: 100,
//         y: 150,
//       },
//       type: "flow",
//       parentNode: "批式算子ID1",
//       data: {
//         status: "wait", // 可选值有 success、error、run、wait
//         // "completed":false 前端自行生成，判断该算子内参数是否全部填写完成
//         parameters: [
//           {
//             hidden: true,
//             id: "流式算子3入口A",
//             name: "in",
//             required: true,
//             domType: "",
//             // pathSelect-路径选择器  datasetSelect-数据集选择器 fileSelect-文件选择器 input-输入框 select-单选下拉框 multipleSelect-多选下拉框 radio-单选组 checkbox-多选组
//             dataType: "recordInputParameter",
//             value: "",
//             description: "这是一段参数描述这是一段参数描述这是一段参数描述",
//             validators: "",
//             choices: [],
//           },
//           {
//             hidden: false,
//             id: "",
//             name: "receptor",
//             required: true,
//             domType: "fileSelect",
//             // pathSelect-路径选择器  datasetSelect-数据集选择器 fileSelect-文件选择器 input-输入框 select-单选下拉框 multipleSelect-多选下拉框 radio-单选组 checkbox-多选组
//             dataType: "fileParameter",
//             value: "",
//             description: "这是一段参数描述这是一段参数描述这是一段参数描述",
//             validators: "",
//             choices: [],
//           },
//           {
//             hidden: true,
//             id: "",
//             name: "core_num",
//             required: false,
//             domType: "input",
//             // pathSelect-路径选择器  datasetSelect-数据集选择器 fileSelect-文件选择器 input-输入框 select-单选下拉框 multipleSelect-多选下拉框 radio-单选组 checkbox-多选组
//             dataType: "numberParameter",
//             value: "1",
//             description: "这是一段参数描述这是一段参数描述这是一段参数描述",
//             validators: "",
//             choices: [],
//           },
//           {
//             hidden: false,
//             id: "",
//             name: "centerX",
//             required: true,
//             domType: "input",
//             // pathSelect-路径选择器  datasetSelect-数据集选择器 fileSelect-文件选择器 input-输入框 select-单选下拉框 multipleSelect-多选下拉框 radio-单选组 checkbox-多选组
//             dataType: "numberParameter",
//             value: "",
//             description: "这是一段参数描述这是一段参数描述这是一段参数描述",
//             validators: "",
//             choices: [],
//           },
//           {
//             hidden: false,
//             id: "",
//             name: "centerY",
//             required: true,
//             domType: "input",
//             // pathSelect-路径选择器  datasetSelect-数据集选择器 fileSelect-文件选择器 input-输入框 select-单选下拉框 multipleSelect-多选下拉框 radio-单选组 checkbox-多选组
//             dataType: "numberParameter",
//             value: "",
//             description: "这是一段参数描述这是一段参数描述这是一段参数描述",
//             validators: "",
//             choices: [],
//           },
//           {
//             hidden: false,
//             id: "",
//             name: "centerZ",
//             required: true,
//             domType: "input",
//             // pathSelect-路径选择器  datasetSelect-数据集选择器 fileSelect-文件选择器 input-输入框 select-单选下拉框 multipleSelect-多选下拉框 radio-单选组 checkbox-多选组
//             dataType: "numberParameter",
//             value: "",
//             description: "这是一段参数描述这是一段参数描述这是一段参数描述",
//             validators: "",
//             choices: [],
//           },
//           {
//             hidden: false,
//             id: "",
//             name: "boxSizeX",
//             required: true,
//             domType: "input",
//             // pathSelect-路径选择器  datasetSelect-数据集选择器 fileSelect-文件选择器 input-输入框 select-单选下拉框 multipleSelect-多选下拉框 radio-单选组 checkbox-多选组
//             dataType: "numberParameter",
//             value: "",
//             description: "这是一段参数描述这是一段参数描述这是一段参数描述",
//             validators: "",
//             choices: [],
//           },
//           {
//             hidden: false,
//             id: "",
//             name: "boxSizeY",
//             required: true,
//             domType: "input",
//             // pathSelect-路径选择器  datasetSelect-数据集选择器 fileSelect-文件选择器 input-输入框 select-单选下拉框 multipleSelect-多选下拉框 radio-单选组 checkbox-多选组
//             dataType: "numberParameter",
//             value: "",
//             description: "这是一段参数描述这是一段参数描述这是一段参数描述",
//             validators: "",
//             choices: [],
//           },
//           {
//             hidden: false,
//             id: "",
//             name: "boxSizeZ",
//             required: true,
//             domType: "input",
//             // pathSelect-路径选择器  datasetSelect-数据集选择器 fileSelect-文件选择器 input-输入框 select-单选下拉框 multipleSelect-多选下拉框 radio-单选组 checkbox-多选组
//             dataType: "numberParameter",
//             value: "",
//             description: "这是一段参数描述这是一段参数描述这是一段参数描述",
//             validators: "",
//             choices: [],
//           },
//           {
//             hidden: true,
//             id: "",
//             name: "poses_num",
//             required: false,
//             domType: "input",
//             // pathSelect-路径选择器  datasetSelect-数据集选择器 fileSelect-文件选择器 input-输入框 select-单选下拉框 multipleSelect-多选下拉框 radio-单选组 checkbox-多选组
//             dataType: "numberParameter",
//             value: "9",
//             description: "这是一段参数描述这是一段参数描述这是一段参数描述",
//             validators: "",
//             choices: [],
//           },
//           {
//             hidden: true,
//             id: "",
//             name: "verbosity",
//             required: false,
//             domType: "input",
//             // pathSelect-路径选择器  datasetSelect-数据集选择器 fileSelect-文件选择器 input-输入框 select-单选下拉框 multipleSelect-多选下拉框 radio-单选组 checkbox-多选组
//             dataType: "numberParameter",
//             value: "1",
//             description: "这是一段参数描述这是一段参数描述这是一段参数描述",
//             validators: "",
//             choices: [],
//           },
//           {
//             hidden: true,
//             id: "",
//             name: "exhaustiveness",
//             required: false,
//             domType: "input",
//             // pathSelect-路径选择器  datasetSelect-数据集选择器 fileSelect-文件选择器 input-输入框 select-单选下拉框 multipleSelect-多选下拉框 radio-单选组 checkbox-多选组
//             dataType: "numberParameter",
//             value: "1",
//             description: "这是一段参数描述这是一段参数描述这是一段参数描述",
//             validators: "",
//             choices: [],
//           },
//           {
//             hidden: true,
//             id: "",
//             name: "cpus",
//             required: false,
//             domType: "input",
//             // pathSelect-路径选择器  datasetSelect-数据集选择器 fileSelect-文件选择器 input-输入框 select-单选下拉框 multipleSelect-多选下拉框 radio-单选组 checkbox-多选组
//             dataType: "numberParameter",
//             value: "1",
//             description: "这是一段参数描述这是一段参数描述这是一段参数描述",
//             validators: "",
//             choices: [],
//           },
//           {
//             hidden: true,
//             id: "",
//             name: "ntasks",
//             required: false,
//             domType: "input",
//             // pathSelect-路径选择器  datasetSelect-数据集选择器 fileSelect-文件选择器 input-输入框 select-单选下拉框 multipleSelect-多选下拉框 radio-单选组 checkbox-多选组
//             dataType: "numberParameter",
//             value: "4",
//             description: "这是一段参数描述这是一段参数描述这是一段参数描述",
//             validators: "",
//             choices: [],
//           },
//           {
//             hidden: true,
//             id: "",
//             name: "partition",
//             required: false,
//             domType: "input",
//             // pathSelect-路径选择器  datasetSelect-数据集选择器 fileSelect-文件选择器 input-输入框 select-单选下拉框 multipleSelect-多选下拉框 radio-单选组 checkbox-多选组
//             dataType: "stringParameter",
//             value: "c-4-1",
//             description: "这是一段参数描述这是一段参数描述这是一段参数描述",
//             validators: "",
//             choices: [],
//           },
//           {
//             hidden: true,
//             id: "",
//             name: "parallelism",
//             required: false,
//             domType: "input",
//             // pathSelect-路径选择器  datasetSelect-数据集选择器 fileSelect-文件选择器 input-输入框 select-单选下拉框 multipleSelect-多选下拉框 radio-单选组 checkbox-多选组
//             dataType: "numberParameter",
//             value: "6",
//             description: "这是一段参数描述这是一段参数描述这是一段参数描述",
//             validators: "",
//             choices: [],
//           },
//           {
//             hidden: true,
//             id: "流式算子3出口A",
//             name: "out",
//             required: true,
//             domType: "",
//             // pathSelect-路径选择器  datasetSelect-数据集选择器 fileSelect-文件选择器 input-输入框 select-单选下拉框 multipleSelect-多选下拉框 radio-单选组 checkbox-多选组
//             dataType: "recordOutputParameter",
//             value: "",
//             description: "这是一段参数描述这是一段参数描述这是一段参数描述",
//             validators: "",
//             choices: [],
//           },
//         ],
//       },
//       edges: [
//         {
//           id: "",
//           source: "流式算子ID3",
//           sourceHandle: "流式算子3出口A",
//           target: "流式算子ID4",
//           targetHandle: "流式算子4入口A",
//         },
//         {
//           id: "",
//           source: "流式算子ID3",
//           sourceHandle: "流式算子3出口A",
//           target: "流式算子ID5",
//           targetHandle: "流式算子5入口A",
//         },
//       ],
//     },
//     {
//       id: "流式算子ID4",
//       title: "HitList",
//       description: "这是一段HitList算子描述这是一段HitList算子描述",
//       position: {
//         x: 100,
//         y: 200,
//       },
//       type: "flow",
//       parentNode: "批式算子ID1",
//       data: {
//         status: "wait", // 可选值有 success、error、run、wait
//         // "completed":false 前端自行生成，判断该算子内参数是否全部填写完成
//         parameters: [
//           {
//             hidden: true,
//             id: "流式算子4入口A",
//             name: "out",
//             required: true,
//             domType: "",
//             // pathSelect-路径选择器  datasetSelect-数据集选择器 fileSelect-文件选择器 input-输入框 select-单选下拉框 multipleSelect-多选下拉框 radio-单选组 checkbox-多选组
//             dataType: "recordInputParameter",
//             value: "",
//             description: "这是一段参数描述这是一段参数描述这是一段参数描述",
//             validators: "",
//             choices: [],
//           },
//           {
//             hidden: true,
//             id: "",
//             name: "cpus",
//             required: false,
//             domType: "input",
//             // pathSelect-路径选择器  datasetSelect-数据集选择器 fileSelect-文件选择器 input-输入框 select-单选下拉框 multipleSelect-多选下拉框 radio-单选组 checkbox-多选组
//             dataType: "numberParameter",
//             value: "1",
//             description: "这是一段参数描述这是一段参数描述这是一段参数描述",
//             validators: "",
//             choices: [],
//           },
//           {
//             hidden: true,
//             id: "",
//             name: "ntasks",
//             required: false,
//             domType: "input",
//             // pathSelect-路径选择器  datasetSelect-数据集选择器 fileSelect-文件选择器 input-输入框 select-单选下拉框 multipleSelect-多选下拉框 radio-单选组 checkbox-多选组
//             dataType: "numberParameter",
//             value: "1",
//             description: "这是一段参数描述这是一段参数描述这是一段参数描述",
//             validators: "",
//             choices: [],
//           },
//           {
//             hidden: true,
//             id: "",
//             name: "partition",
//             required: false,
//             domType: "input",
//             // pathSelect-路径选择器  datasetSelect-数据集选择器 fileSelect-文件选择器 input-输入框 select-单选下拉框 multipleSelect-多选下拉框 radio-单选组 checkbox-多选组
//             dataType: "stringParameter",
//             value: "c-4-1",
//             description: "这是一段参数描述这是一段参数描述这是一段参数描述",
//             validators: "",
//             choices: [],
//           },
//           {
//             hidden: true,
//             id: "",
//             name: "parallelism",
//             required: false,
//             domType: "input",
//             // pathSelect-路径选择器  datasetSelect-数据集选择器 fileSelect-文件选择器 input-输入框 select-单选下拉框 multipleSelect-多选下拉框 radio-单选组 checkbox-多选组
//             dataType: "numberParameter",
//             value: "1",
//             description: "这是一段参数描述这是一段参数描述这是一段参数描述",
//             validators: "",
//             choices: [],
//           },
//           {
//             hidden: true,
//             id: "流式算子4出口A",
//             name: "out",
//             required: true,
//             domType: "",
//             // pathSelect-路径选择器  datasetSelect-数据集选择器 fileSelect-文件选择器 input-输入框 select-单选下拉框 multipleSelect-多选下拉框 radio-单选组 checkbox-多选组
//             dataType: "recordOutputParameter",
//             value: "",
//             description: "这是一段参数描述这是一段参数描述这是一段参数描述",
//             validators: "",
//             choices: [],
//           },
//         ],
//       },
//       edges: [
//         {
//           id: "",
//           source: "流式算子ID4",
//           sourceHandle: "流式算子4出口A",
//           target: "流式算子ID6",
//           targetHandle: "流式算子6入口A",
//         },
//       ],
//     },
//     {
//       id: "流式算子ID5",
//       title: "DatasetWriter",
//       description: "这是一段DatasetWriter算子描述这是一段DatasetWriter算子描述",
//       position: {
//         x: 200,
//         y: 200,
//       },
//       type: "flow",
//       parentNode: "批式算子ID1",
//       data: {
//         status: "wait", // 可选值有 success、error、run、wait
//         // "completed":false 前端自行生成，判断该算子内参数是否全部填写完成
//         parameters: [
//           {
//             hidden: true,
//             id: "流式算子5入口A",
//             name: "in",
//             required: true,
//             domType: "",
//             // pathSelect-路径选择器  datasetSelect-数据集选择器 fileSelect-文件选择器 input-输入框 select-单选下拉框 multipleSelect-多选下拉框 radio-单选组 checkbox-多选组
//             dataType: "recordInputParameter",
//             value: "",
//             description: "这是一段参数描述这是一段参数描述这是一段参数描述",
//             validators: "",
//             choices: [],
//           },
//           {
//             hidden: false,
//             id: "",
//             name: "path",
//             required: true,
//             domType: "pathSelect",
//             // pathSelect-路径选择器  datasetSelect-数据集选择器 fileSelect-文件选择器 input-输入框 select-单选下拉框 multipleSelect-多选下拉框 radio-单选组 checkbox-多选组
//             dataType: "stringParameter",
//             value: "",
//             description: "这是一段参数描述这是一段参数描述这是一段参数描述",
//             validators: "",
//             choices: [],
//           },
//           {
//             hidden: true,
//             id: "",
//             name: "compression",
//             required: false,
//             domType: "input",
//             // pathSelect-路径选择器  datasetSelect-数据集选择器 fileSelect-文件选择器 input-输入框 select-单选下拉框 multipleSelect-多选下拉框 radio-单选组 checkbox-多选组
//             dataType: "stringParameter",
//             value: "snappy",
//             description: "这是一段参数描述这是一段参数描述这是一段参数描述",
//             validators: "",
//             choices: [],
//           },
//           {
//             hidden: true,
//             id: "",
//             name: "chunk_size",
//             required: false,
//             domType: "input",
//             // pathSelect-路径选择器  datasetSelect-数据集选择器 fileSelect-文件选择器 input-输入框 select-单选下拉框 multipleSelect-多选下拉框 radio-单选组 checkbox-多选组
//             dataType: "numberParameter",
//             value: "100",
//             description: "这是一段参数描述这是一段参数描述这是一段参数描述",
//             validators: "",
//             choices: [],
//           },
//           {
//             hidden: true,
//             id: "",
//             name: "cpus",
//             required: false,
//             domType: "input",
//             // pathSelect-路径选择器  datasetSelect-数据集选择器 fileSelect-文件选择器 input-输入框 select-单选下拉框 multipleSelect-多选下拉框 radio-单选组 checkbox-多选组
//             dataType: "numberParameter",
//             value: "1",
//             description: "这是一段参数描述这是一段参数描述这是一段参数描述",
//             validators: "",
//             choices: [],
//           },
//           {
//             hidden: true,
//             id: "",
//             name: "ntasks",
//             required: false,
//             domType: "input",
//             // pathSelect-路径选择器  datasetSelect-数据集选择器 fileSelect-文件选择器 input-输入框 select-单选下拉框 multipleSelect-多选下拉框 radio-单选组 checkbox-多选组
//             dataType: "numberParameter",
//             value: "1",
//             description: "这是一段参数描述这是一段参数描述这是一段参数描述",
//             validators: "",
//             choices: [],
//           },
//           {
//             hidden: true,
//             id: "",
//             name: "partition",
//             required: false,
//             domType: "input",
//             // pathSelect-路径选择器  datasetSelect-数据集选择器 fileSelect-文件选择器 input-输入框 select-单选下拉框 multipleSelect-多选下拉框 radio-单选组 checkbox-多选组
//             dataType: "stringParameter",
//             value: "c-4-1",
//             description: "这是一段参数描述这是一段参数描述这是一段参数描述",
//             validators: "",
//             choices: [],
//           },
//           {
//             hidden: true,
//             id: "",
//             name: "parallelism",
//             required: false,
//             domType: "input",
//             // pathSelect-路径选择器  datasetSelect-数据集选择器 fileSelect-文件选择器 input-输入框 select-单选下拉框 multipleSelect-多选下拉框 radio-单选组 checkbox-多选组
//             dataType: "numberParameter",
//             value: "1",
//             description: "这是一段参数描述这是一段参数描述这是一段参数描述",
//             validators: "",
//             choices: [],
//           },
//         ],
//       },
//       edges: [],
//     },
//     {
//       id: "流式算子ID6",
//       title: "RecordFileWriter",
//       description:
//         "这是一段RecordFileWriter算子描述这是一段RecordFileWriter算子描述",
//       position: {
//         x: 100,
//         y: 250,
//       },
//       type: "flow",
//       parentNode: "批式算子ID1",
//       data: {
//         status: "wait", // 可选值有 success、error、run、wait
//         // "completed":false 前端自行生成，判断该算子内参数是否全部填写完成
//         parameters: [
//           {
//             hidden: true,
//             id: "流式算子6入口A",
//             name: "in",
//             required: true,
//             domType: "",
//             // pathSelect-路径选择器  datasetSelect-数据集选择器 fileSelect-文件选择器 input-输入框 select-单选下拉框 multipleSelect-多选下拉框 radio-单选组 checkbox-多选组
//             dataType: "recordInputParameter",
//             value: "",
//             description: "这是一段参数描述这是一段参数描述这是一段参数描述",
//             validators: "",
//             choices: [],
//           },
//           {
//             hidden: false,
//             id: "",
//             name: "path",
//             required: true,
//             domType: "pathSelect",
//             // pathSelect-路径选择器  datasetSelect-数据集选择器 fileSelect-文件选择器 input-输入框 select-单选下拉框 multipleSelect-多选下拉框 radio-单选组 checkbox-多选组
//             dataType: "stringParameter",
//             value: "",
//             description: "这是一段参数描述这是一段参数描述这是一段参数描述",
//             validators: "",
//             choices: [],
//           },
//           {
//             hidden: true,
//             id: "",
//             name: "many",
//             required: false,
//             domType: "radio",
//             // pathSelect-路径选择器  datasetSelect-数据集选择器 fileSelect-文件选择器 input-输入框 select-单选下拉框 multipleSelect-多选下拉框 radio-单选组 checkbox-多选组
//             dataType: "booleanParameter",
//             value: "false",
//             description: "这是一段参数描述这是一段参数描述这是一段参数描述",
//             validators: "",
//             choices: [
//               {
//                 key: "true",
//                 value: "true",
//               },
//               {
//                 key: "false",
//                 value: "false",
//               },
//             ],
//           },
//           {
//             hidden: false,
//             id: "",
//             name: "compression",
//             required: false,
//             domType: "input",
//             // pathSelect-路径选择器  datasetSelect-数据集选择器 fileSelect-文件选择器 input-输入框 select-单选下拉框 multipleSelect-多选下拉框 radio-单选组 checkbox-多选组
//             dataType: "stringParameter",
//             value: "",
//             description: "这是一段参数描述这是一段参数描述这是一段参数描述",
//             validators: "",
//             choices: [],
//           },
//           {
//             hidden: true,
//             id: "",
//             name: "chunk_size",
//             required: false,
//             domType: "input",
//             // pathSelect-路径选择器  datasetSelect-数据集选择器 fileSelect-文件选择器 input-输入框 select-单选下拉框 multipleSelect-多选下拉框 radio-单选组 checkbox-多选组
//             dataType: "numberParameter",
//             value: "1000",
//             description: "这是一段参数描述这是一段参数描述这是一段参数描述",
//             validators: "",
//             choices: [],
//           },
//           {
//             hidden: true,
//             id: "",
//             name: "suffix",
//             required: false,
//             domType: "input",
//             // pathSelect-路径选择器  datasetSelect-数据集选择器 fileSelect-文件选择器 input-输入框 select-单选下拉框 multipleSelect-多选下拉框 radio-单选组 checkbox-多选组
//             dataType: "stringParameter",
//             value: ".txt",
//             description: "这是一段参数描述这是一段参数描述这是一段参数描述",
//             validators: "",
//             choices: [],
//           },
//           {
//             hidden: true,
//             id: "",
//             name: "cpus",
//             required: false,
//             domType: "input",
//             // pathSelect-路径选择器  datasetSelect-数据集选择器 fileSelect-文件选择器 input-输入框 select-单选下拉框 multipleSelect-多选下拉框 radio-单选组 checkbox-多选组
//             dataType: "numberParameter",
//             value: "1",
//             description: "这是一段参数描述这是一段参数描述这是一段参数描述",
//             validators: "",
//             choices: [],
//           },
//           {
//             hidden: true,
//             id: "",
//             name: "ntasks",
//             required: false,
//             domType: "input",
//             // pathSelect-路径选择器  datasetSelect-数据集选择器 fileSelect-文件选择器 input-输入框 select-单选下拉框 multipleSelect-多选下拉框 radio-单选组 checkbox-多选组
//             dataType: "numberParameter",
//             value: "1",
//             description: "这是一段参数描述这是一段参数描述这是一段参数描述",
//             validators: "",
//             choices: [],
//           },
//           {
//             hidden: true,
//             id: "",
//             name: "partition",
//             required: false,
//             domType: "input",
//             // pathSelect-路径选择器  datasetSelect-数据集选择器 fileSelect-文件选择器 input-输入框 select-单选下拉框 multipleSelect-多选下拉框 radio-单选组 checkbox-多选组
//             dataType: "stringParameter",
//             value: "c-4-1",
//             description: "这是一段参数描述这是一段参数描述这是一段参数描述",
//             validators: "",
//             choices: [],
//           },
//           {
//             hidden: true,
//             id: "",
//             name: "parallelism",
//             required: false,
//             domType: "input",
//             // pathSelect-路径选择器  datasetSelect-数据集选择器 fileSelect-文件选择器 input-输入框 select-单选下拉框 multipleSelect-多选下拉框 radio-单选组 checkbox-多选组
//             dataType: "numberParameter",
//             value: "1",
//             description: "这是一段参数描述这是一段参数描述这是一段参数描述",
//             validators: "",
//             choices: [],
//           },
//           {
//             hidden: true,
//             id: "流式算子6出口A",
//             name: "out",
//             required: true,
//             domType: "",
//             // pathSelect-路径选择器  datasetSelect-数据集选择器 fileSelect-文件选择器 input-输入框 select-单选下拉框 multipleSelect-多选下拉框 radio-单选组 checkbox-多选组
//             dataType: "fileOutputParameter",
//             value: "xxxx.pdb",
//             description: "这是一段参数描述这是一段参数描述这是一段参数描述",
//             validators: "",
//             choices: [],
//           },
//         ],
//       },
//       edges: [
//         {
//           id: "",
//           source: "流式算子ID6",
//           sourceHandle: "流式算子6出口A",
//           target: "批式算子ID2",
//           targetHandle: "批式算子2入口A",
//           label: "xxxx.pdb",
//         },
//       ],
//     },
//     {
//       id: "批式算子ID2",
//       title: "pdb2tpr",
//       description: "这是一段批式算子描述这是一段批式算子描述",
//       position: {
//         x: 0,
//         y: 350,
//       },
//       type: "batch",
//       parentNode: "",
//       // "hasChildren":false  用于区分该批式算子内是否有流式算子，因为有与没有的流程图样式是不一样的，这个字段由前端自行判断添加
//       data: {
//         status: "wait", // 可选值有 success、error、run、wait
//         // "selected":false 前端自行生成，判断该算子是否被选中
//         // "completed":true 前端自行生成，判断该算子内参数是否全部填写完成,若该算子不需要填任何参数，则自动true
//         parameters: [
//           {
//             hidden: true,
//             id: "批式算子2入口A",
//             name: "pdb_in",
//             required: true,
//             domType: "fileSelect",
//             // pathSelect-路径选择器  datasetSelect-数据集选择器 fileSelect-文件选择器 input-输入框 select-单选下拉框 multipleSelect-多选下拉框 radio-单选组 checkbox-多选组
//             dataType: "fileInputParameter",
//             value: "",
//             description: "这是一段参数描述这是一段参数描述这是一段参数描述",
//             validators: "",
//             choices: [],
//           },
//           {
//             hidden: true,
//             id: "批式算子2出口A",
//             name: "tpr_out",
//             required: true,
//             domType: "fileSelect",
//             // pathSelect-路径选择器  datasetSelect-数据集选择器 fileSelect-文件选择器 input-输入框 select-单选下拉框 multipleSelect-多选下拉框 radio-单选组 checkbox-多选组
//             dataType: "fileOutputParameter",
//             value: "xxxx.tpr",
//             description: "这是一段参数描述这是一段参数描述这是一段参数描述",
//             validators: "",
//             choices: [],
//           },
//         ],
//       },
//       edges: [
//         {
//           id: "",
//           source: "批式算子ID2",
//           sourceHandle: "批式算子2出口A",
//           target: "批式算子ID3",
//           targetHandle: "批式算子3入口A",
//           label: "xxxx.ptr",
//         },
//       ],
//     },
//     {
//       id: "批式算子ID3",
//       title: "gromax run",
//       description: "这是一段批式算子描述这是一段批式算子描述",
//       position: {
//         x: 0,
//         y: 450,
//       },
//       type: "batch",
//       parentNode: "",
//       // "hasChildren":false  用于区分该批式算子内是否有流式算子，因为有与没有的流程图样式是不一样的，这个字段由前端自行判断添加
//       data: {
//         status: "wait", // 可选值有 success、error、run、wait
//         // "selected":false 前端自行生成，判断该算子是否被选中
//         // "completed":true 前端自行生成，判断该算子内参数是否全部填写完成,若该算子不需要填任何参数，则自动true
//         parameters: [
//           {
//             hidden: true,
//             id: "批式算子3入口A",
//             name: "pdb_out",
//             required: true,
//             domType: "fileSelect",
//             // pathSelect-路径选择器  datasetSelect-数据集选择器 fileSelect-文件选择器 input-输入框 select-单选下拉框 multipleSelect-多选下拉框 radio-单选组 checkbox-多选组
//             dataType: "fileInputParameter",
//             value: "",
//             description: "这是一段参数描述这是一段参数描述这是一段参数描述",
//             validators: "",
//             choices: [],
//           },
//           {
//             hidden: false,
//             id: "",
//             name: "tpr_name",
//             required: true,
//             domType: "input",
//             // pathSelect-路径选择器  datasetSelect-数据集选择器 fileSelect-文件选择器 input-输入框 select-单选下拉框 multipleSelect-多选下拉框 radio-单选组 checkbox-多选组
//             dataType: "stringParameter",
//             value: "",
//             description: "这是一段参数描述这是一段参数描述这是一段参数描述",
//             validators: "",
//             choices: [],
//           },
//         ],
//       },
//       edges: [],
//     },
//   ],
// };
