/*
 * @Author: 吴永生#A02208 yongsheng.wu@wholion.com
 * @Date: 2022-06-23 11:00:29
 * @LastEditors: 吴永生#A02208 yongsheng.wu@wholion.com
 * @LastEditTime: 2022-07-14 10:11:50
 * @FilePath: /bkunyun/src/views/Project/components/Flow/interface.ts
 * @Description: 这是默认设置,请设置`customMade`, 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 */

import { CSSProperties } from "react";
import { ITask } from "../../ProjectSubmitWork/interface";

/** 线的参数 */
export interface ILine {
    id: string,
    label?: string,
    batchId?: string,
    source: string,
    target: string,
    sourceHandle: string,
    targetHandle: string,
}

export interface IDotStatus {
    /** 是否为输入 */
    isInput: boolean;
    /** 是否为输出 */
    isOutput: boolean
}

export interface IBatchNodeData {
    /** label 文案 */
    label: string;
    /** 是否存在flow节点 */
    isFlowNode: boolean;
    /** 连线圆点状态 */
    dotStatus: IDotStatus;
    /** 样式 */
    style?: CSSProperties;
    /** 是否选中状态 */
    selectedStatus?: boolean;
    /** 是否校验通过 */
    isCheck?: boolean;
    /** 运行状态 */
    executionStatus: string
    /** 每一项信息 */
    info: ITask
    /** flow组件类型 */
    flowType: 'edit' | 'default'
}

export interface IBatchNode {
    data: IBatchNodeData
   
}