export const mockData = [
  {
    "id": "批式Node ID (后端定义)",
    "title": "Docking(Vina)",
    "description": "这是一段Docking(Vina)算子的描述",
    "version": "1.0.0",
    "allVersions": ["1.0.0"],
    "updateTime": "2022/07/05",
    "tags": ["公共算子"],
    "position": {
      "x": null,
      "y": null
    },
    "type": "BATCH",
    "parentNode": "",
    "data": {
      "status": "wait",
      "parameters": [
        {
          "id": "",
          "show": true,
          "name": "smi_in",
          "required": true,
          "domType": "fileSelect",
          "dataType": "string",
          "value": "",
          "description": "",
          "validators": [
            {
              "helpText": "请选择smi文件作为输入",
              "regex": "^.[s][m][i]$"
            }
          ],
          "choices": [],
          "parameterGroup": "in"
        },
        {
          "id": "",
          "show": true,
          "name": "receptor_in",
          "required": true,
          "domType": "fileSelect",
          "dataType": "string",
          "value": "",
          "description": "",
          "validators": [
            {
              "helpText": "请选择pdb文件作为输入",
              "regex": "^.[p][d][b]$"
            }
          ],
          "choices": [],
          "parameterGroup": "in"
        },
        {
          "id": "",
          "show": true,
          "name": "dataset_out",
          "required": true,
          "domType": "input",
          "dataType": "dataset",
          "value": "",
          "description": "",
          "validators": [
            {
              "helpText": "仅支持中文、英文、数据以及下划线",
              "regex": "^[\u4E00-\u9FA5A-Za-z0-9_]+$"
            }
          ],
          "choices": [],
          "parameterGroup": "out"
        },
        {
          "id": "",
          "show": true,
          "name": "pdb_out",
          "required": true,
          "domType": "input",
          "dataType": "file",
          "value": "",
          "description": "",
          "validators": [
            {
              "helpText": "仅支持中文、英文、数据以及下划线",
              "regex": "^[\u4E00-\u9FA5A-Za-z0-9_]+$"
            }
          ],
          "choices": [],
          "parameterGroup": "out"
        }
      ]
    },
    "edges": []
  },
  {
    "id": "流式Node ID 1 (后端定义)",
    "title": "RecordFileReader",
    "description": "这是一段RecordFileReader算子的描述",
    "version": "1.0.0",
    "allVersions": ["1.0.0"],
    "updateTime": "2022/07/05",
    "tags": ["公共算子"],
    "position": {
      "x": 0,
      "y": 0
    },
    "type": "FLOW",
    "parentNode": "批式Node ID",
    "data": {
      "status": "wait",
      "parameters": [
        {
          "id": "",
          "show": true,
          "name": "raw",
          "required": false,
          "domType": "radio",
          "dataType": "boolean",
          "value": false,
          "description": "",
          "validators": [],
          "choices": [
            {
              "key": "true",
              "value": true
            },
            {
              "key": "false",
              "value": false
            }
          ],
          "parameterGroup": "basis"
        },
        {
          "id": "",
          "show": true,
          "name": "sep",
          "required": false,
          "domType": "input",
          "dataType": "string",
          "value": "",
          "description": "",
          "validators": [],
          "choices": [],
          "parameterGroup": "basis"
        },
        {
          "id": "",
          "show": true,
          "name": "contains_sep",
          "required": false,
          "domType": "radio",
          "dataType": "boolean",
          "value": false,
          "description": "",
          "validators": [],
          "choices": [
            {
              "key": "true",
              "value": true
            },
            {
              "key": "false",
              "value": false
            }
          ],
          "parameterGroup": "basis"
        },
        {
          "id": "",
          "show": true,
          "name": "encoding",
          "required": false,
          "domType": "input",
          "dataType": "string",
          "value": "UTF-8",
          "description": "",
          "validators": [],
          "choices": [],
          "parameterGroup": "senior"
        },
        {
          "id": "",
          "show": true,
          "name": "chunk_size",
          "required": false,
          "domType": "input",
          "dataType": "int",
          "value": 1000,
          "description": "",
          "validators": [
            {
              "helpText": "请输入非零的正整数",
              "regex": "^[1-9]\\d*$"
            }
          ],
          "choices": [],
          "parameterGroup": "senior"
        },
        {
          "id": "",
          "show": true,
          "name": "compression",
          "required": false,
          "domType": "input",
          "dataType": "string",
          "value": "",
          "description": "",
          "validators": [],
          "choices": [],
          "parameterGroup": "senior"
        },
        {
          "id": "",
          "show": false,
          "name": "cpus",
          "required": false,
          "domType": "input",
          "dataType": "int",
          "value": 1,
          "description": "",
          "validators": [
            {
              "helpText": "请输入非零的正整数",
              "regex": "^[1-9]\\d*$"
            }
          ],
          "choices": [],
          "parameterGroup": "hardware"
        },
        {
          "id": "",
          "show": false,
          "name": "ntasks",
          "required": false,
          "domType": "input",
          "dataType": "int",
          "value": 1,
          "description": "",
          "validators": [
            {
              "helpText": "请输入非零的正整数",
              "regex": "^[1-9]\\d*$"
            }
          ],
          "choices": [],
          "parameterGroup": "hardware"
        },
        {
          "id": "",
          "show": false,
          "name": "partition",
          "required": false,
          "domType": "input",
          "dataType": "string",
          "value": "c-4-1",
          "description": "",
          "validators": "",
          "choices": [],
          "parameterGroup": "hardware"
        },
        {
          "id": "",
          "show": false,
          "name": "parallelism",
          "required": false,
          "domType": "input",
          "dataType": "int",
          "value": 1,
          "description": "",
          "validators": [
            {
              "helpText": "请输入非零的正整数",
              "regex": "^[1-9]\\d*$"
            }
          ],
          "choices": [],
          "parameterGroup": "hardware"
        }
      ]
    },
    "edges": [
      {
        "id": "",
        "source": "流式Node ID 1",
        "target": "流式Node ID 2"
      }
    ]
  },
  {
    "id": "流式Node ID 2 (后端定义)",
    "title": "Standard",
    "description": "这是一段Standard算子的描述",
    "version": "1.0.0",
    "allVersions": ["1.0.0"],
    "updateTime": "2022/07/05",
    "tags": ["公共算子"],
    "position": {
      "x": 0,
      "y": 0
    },
    "type": "FLOW",
    "parentNode": "批式Node ID",
    "data": {
      "status": "wait",
      "parameters": [
        {
          "id": "",
          "show": false,
          "name": "cpus",
          "required": false,
          "domType": "input",
          "dataType": "int",
          "value": 1,
          "description": "",
          "validators": [
            {
              "helpText": "请输入非零的正整数",
              "regex": "^[1-9]\\d*$"
            }
          ],
          "choices": [],
          "parameterGroup": "hardware"
        },
        {
          "id": "",
          "name": "ntasks",
          "required": false,
          "domType": "input",
          "dataType": "int",
          "value": 4,
          "description": "",
          "validators": [
            {
              "helpText": "请输入非零的正整数",
              "regex": "^[1-9]\\d*$"
            }
          ],
          "choices": [],
          "parameterGroup": "hardware"
        },
        {
          "id": "",
          "show": false,
          "name": "partition",
          "required": false,
          "domType": "input",
          "dataType": "string",
          "value": "c-4-1",
          "description": "",
          "validators": "",
          "choices": [],
          "parameterGroup": "hardware"
        },
        {
          "id": "",
          "show": false,
          "name": "parallelism",
          "required": false,
          "domType": "input",
          "dataType": "int",
          "value": 6,
          "description": "",
          "validators": [
            {
              "helpText": "请输入非零的正整数",
              "regex": "^[1-9]\\d*$"
            }
          ],
          "choices": [],
          "parameterGroup": "hardware"
        }
      ]
    },
    "edges": [
      {
        "id": "",
        "source": "流式Node ID 2",
        "target": "流式Node ID 3"
      }
    ]
  },
  {
    "id": "流式Node ID 3 (后端定义)",
    "title": "Docking",
    "description": "这是一段Docking算子的描述",
    "version": "1.0.0",
    "allVersions": ["1.0.0"],
    "updateTime": "2022/07/05",
    "tags": ["公共算子"],
    "position": {
      "x": 0,
      "y": 0
    },
    "type": "FLOW",
    "parentNode": "批式Node ID",
    "data": {
      "status": "wait",
      "parameters": [
        {
          "id": "",
          "show": true,
          "name": "core_num",
          "required": false,
          "domType": "input",
          "dataType": "int",
          "value": 1,
          "description": "",
          "validators": [
            {
              "helpText": "请输入非零的正整数",
              "regex": "^[1-9]\\d*$"
            }
          ],
          "choices": [],
          "parameterGroup": "basis"
        },
        {
          "id": "",
          "show": true,
          "name": "centerX",
          "required": true,
          "domType": "input",
          "dataType": "int",
          "value": "",
          "description": "",
          "validators": [
            {
              "helpText": "请输入非零的正整数",
              "regex": "^[1-9]\\d*$"
            }
          ],
          "choices": [],
          "parameterGroup": "basis"
        },
        {
          "id": "",
          "show": true,
          "name": "centerY",
          "required": true,
          "domType": "input",
          "dataType": "int",
          "value": "",
          "description": "",
          "validators": [
            {
              "helpText": "请输入非零的正整数",
              "regex": "^[1-9]\\d*$"
            }
          ],
          "choices": [],
          "parameterGroup": "basis"
        },
        {
          "id": "",
          "show": true,
          "name": "centerZ",
          "required": true,
          "domType": "input",
          "dataType": "int",
          "value": "",
          "description": "",
          "validators": [
            {
              "helpText": "请输入非零的正整数",
              "regex": "^[1-9]\\d*$"
            }
          ],
          "choices": [],
          "parameterGroup": "basis"
        },
        {
          "id": "",
          "show": true,
          "name": "boxSizeX",
          "required": true,
          "domType": "input",
          "dataType": "int",
          "value": "",
          "description": "",
          "validators": [
            {
              "helpText": "请输入非零的正整数",
              "regex": "^[1-9]\\d*$"
            }
          ],
          "choices": [],
          "parameterGroup": "basis"
        },
        {
          "id": "",
          "show": true,
          "name": "boxSizeY",
          "required": true,
          "domType": "input",
          "dataType": "int",
          "value": "",
          "description": "",
          "validators": [
            {
              "helpText": "请输入非零的正整数",
              "regex": "^[1-9]\\d*$"
            }
          ],
          "choices": [],
          "parameterGroup": "basis"
        },
        {
          "id": "",
          "show": true,
          "name": "boxSizeZ",
          "required": true,
          "domType": "input",
          "dataType": "int",
          "value": "",
          "description": "",
          "validators": [
            {
              "helpText": "请输入非零的正整数",
              "regex": "^[1-9]\\d*$"
            }
          ],
          "choices": [],
          "parameterGroup": "basis"
        },
        {
          "id": "",
          "show": true,
          "name": "poses_num",
          "required": false,
          "domType": "input",
          "dataType": "int",
          "value": 9,
          "description": "",
          "validators": [
            {
              "helpText": "请输入非零的正整数",
              "regex": "^[1-9]\\d*$"
            }
          ],
          "choices": [],
          "parameterGroup": "senior"
        },
        {
          "id": "",
          "show": true,
          "name": "verbosity",
          "required": false,
          "domType": "input",
          "dataType": "int",
          "value": 1,
          "description": "",
          "validators": [
            {
              "helpText": "请输入非零的正整数",
              "regex": "^[1-9]\\d*$"
            }
          ],
          "choices": [],
          "parameterGroup": "senior"
        },
        {
          "id": "",
          "show": true,
          "name": "exhaustiveness",
          "required": false,
          "domType": "input",
          "dataType": "int",
          "value": 1,
          "description": "",
          "validators": [
            {
              "helpText": "请输入非零的正整数",
              "regex": "^[1-9]\\d*$"
            }
          ],
          "choices": [],
          "parameterGroup": "senior"
        },
        {
          "id": "",
          "show": false,
          "name": "cpus",
          "required": false,
          "domType": "input",
          "dataType": "int",
          "value": 1,
          "description": "",
          "validators": [
            {
              "helpText": "请输入非零的正整数",
              "regex": "^[1-9]\\d*$"
            }
          ],
          "choices": [],
          "parameterGroup": "hardware"
        },
        {
          "id": "",
          "show": false,
          "name": "ntasks",
          "required": false,
          "domType": "input",
          "dataType": "int",
          "value": 4,
          "description": "",
          "validators": [
            {
              "helpText": "请输入非零的正整数",
              "regex": "^[1-9]\\d*$"
            }
          ],
          "choices": [],
          "parameterGroup": "hardware"
        },
        {
          "id": "",
          "show": false,
          "name": "partition",
          "required": false,
          "domType": "input",
          "dataType": "string",
          "value": "c-4-1",
          "description": "",
          "validators": [],
          "choices": [],
          "parameterGroup": "hardware"
        },
        {
          "id": "",
          "show": false,
          "name": "parallelism",
          "required": false,
          "domType": "input",
          "dataType": "int",
          "value": 6,
          "description": "",
          "validators": [
            {
              "helpText": "请输入非零的正整数",
              "regex": "^[1-9]\\d*$"
            }
          ],
          "choices": [],
          "parameterGroup": "hardware"
        }
      ]
    },
    "edges": [
      {
        "id": "",
        "source": "流式Node ID 3",
        "target": "流式Node ID 4"
      },
      {
        "id": "",
        "source": "流式Node ID 3",
        "target": "流式Node ID 5"
      }
    ]
  },
  {
    "id": "流式Node ID 4 (后端定义)",
    "title": "Hitlist",
    "description": "这是一段Hitlist算子的描述",
    "version": "1.0.0",
    "allVersions": ["1.0.0"],
    "updateTime": "2022/07/05",
    "tags": ["公共算子"],
    "position": {
      "x": 0,
      "y": 0
    },
    "type": "FLOW",
    "parentNode": "批式Node ID",
    "data": {
      "status": "wait",
      "parameters": [
        {
          "id": "",
          "show": false,
          "name": "cpus",
          "required": false,
          "domType": "input",
          "dataType": "int",
          "value": 1,
          "description": "",
          "validators": [
            {
              "helpText": "请输入非零的正整数",
              "regex": "^[1-9]\\d*$"
            }
          ],
          "choices": [],
          "parameterGroup": "hardware"
        },
        {
          "id": "",
          "name": "ntasks",
          "required": false,
          "domType": "input",
          "dataType": "int",
          "value": 1,
          "description": "",
          "validators": [
            {
              "helpText": "请输入非零的正整数",
              "regex": "^[1-9]\\d*$"
            }
          ],
          "choices": [],
          "parameterGroup": "hardware"
        },
        {
          "id": "",
          "show": false,
          "name": "partition",
          "required": false,
          "domType": "input",
          "dataType": "string",
          "value": "c-4-1",
          "description": "",
          "validators": "",
          "choices": [],
          "parameterGroup": "hardware"
        },
        {
          "id": "",
          "show": false,
          "name": "parallelism",
          "required": false,
          "domType": "input",
          "dataType": "int",
          "value": 1,
          "description": "",
          "validators": [
            {
              "helpText": "请输入非零的正整数",
              "regex": "^[1-9]\\d*$"
            }
          ],
          "choices": [],
          "parameterGroup": "hardware"
        }
      ]
    },
    "edges": [
      {
        "id": "",
        "source": "流式Node ID 4",
        "target": "流式Node ID 6"
      }
    ]
  },
  {
    "id": "流式Node ID 5 (后端定义)",
    "title": "DatasetWritwer",
    "description": "这是一段DatasetWritwer算子的描述",
    "version": "1.0.0",
    "allVersions": ["1.0.0"],
    "updateTime": "2022/07/05",
    "tags": ["公共算子"],
    "position": {
      "x": 0,
      "y": 0
    },
    "type": "FLOW",
    "parentNode": "批式Node ID",
    "data": {
      "status": "wait",
      "parameters": [
        {
          "id": "",
          "show": true,
          "name": "compression",
          "required": false,
          "domType": "input",
          "dataType": "string",
          "value": "snappy",
          "description": "",
          "validators": [],
          "choices": [],
          "parameterGroup": "senior"
        },
        {
          "id": "",
          "show": true,
          "name": "chunk_size",
          "required": false,
          "domType": "input",
          "dataType": "int",
          "value": 100,
          "description": "",
          "validators": [
            {
              "helpText": "请输入非零的正整数",
              "regex": "^[1-9]\\d*$"
            }
          ],
          "choices": [],
          "parameterGroup": "senior"
        },
        {
          "id": "",
          "show": false,
          "name": "cpus",
          "required": false,
          "domType": "input",
          "dataType": "int",
          "value": 1,
          "description": "",
          "validators": [
            {
              "helpText": "请输入非零的正整数",
              "regex": "^[1-9]\\d*$"
            }
          ],
          "choices": [],
          "parameterGroup": "hardware"
        },
        {
          "id": "",
          "name": "ntasks",
          "required": false,
          "domType": "input",
          "dataType": "int",
          "value": 1,
          "description": "",
          "validators": [
            {
              "helpText": "请输入非零的正整数",
              "regex": "^[1-9]\\d*$"
            }
          ],
          "choices": [],
          "parameterGroup": "hardware"
        },
        {
          "id": "",
          "show": false,
          "name": "partition",
          "required": false,
          "domType": "input",
          "dataType": "string",
          "value": "c-4-1",
          "description": "",
          "validators": "",
          "choices": [],
          "parameterGroup": "hardware"
        },
        {
          "id": "",
          "show": false,
          "name": "parallelism",
          "required": false,
          "domType": "input",
          "dataType": "int",
          "value": 1,
          "description": "",
          "validators": [
            {
              "helpText": "请输入非零的正整数",
              "regex": "^[1-9]\\d*$"
            }
          ],
          "choices": [],
          "parameterGroup": "hardware"
        }
      ]
    },
    "edges": []
  },
  {
    "id": "流式Node ID 6 (后端定义)",
    "title": "RecordFileWriter",
    "description": "这是一段RecordFileWriter算子的描述",
    "version": "1.0.0",
    "allVersions": ["1.0.0"],
    "updateTime": "2022/07/05",
    "tags": ["公共算子"],
    "position": {
      "x": 0,
      "y": 0
    },
    "type": "FLOW",
    "parentNode": "批式Node ID",
    "data": {
      "status": "wait",
      "parameters": [
        {
          "id": "",
          "show": true,
          "name": "many",
          "required": false,
          "domType": "radio",
          "dataType": "boolean",
          "value": "false",
          "description": "",
          "validators": [],
          "choices": [
            {
              "key": "true",
              "value": "true"
            },
            {
              "key": "false",
              "value": "false"
            }
          ],
          "parameterGroup": "basis"
        },
        {
          "id": "",
          "show": true,
          "name": "compression",
          "required": false,
          "domType": "input",
          "dataType": "string",
          "value": "snappy",
          "description": "",
          "validators": [],
          "choices": [],
          "parameterGroup": "senior"
        },
        {
          "id": "",
          "show": true,
          "name": "chunk_size",
          "required": false,
          "domType": "input",
          "dataType": "int",
          "value": 100,
          "description": "",
          "validators": [
            {
              "helpText": "请输入非零的正整数",
              "regex": "^[1-9]\\d*$"
            }
          ],
          "choices": [],
          "parameterGroup": "senior"
        },
        {
          "id": "",
          "show": true,
          "name": "suffix",
          "required": false,
          "domType": "input",
          "dataType": "string",
          "value": ".txt",
          "description": "",
          "validators": [],
          "choices": [],
          "parameterGroup": "senior"
        },
        {
          "id": "",
          "show": false,
          "name": "cpus",
          "required": false,
          "domType": "input",
          "dataType": "int",
          "value": 1,
          "description": "",
          "validators": [
            {
              "helpText": "请输入非零的正整数",
              "regex": "^[1-9]\\d*$"
            }
          ],
          "choices": [],
          "parameterGroup": "hardware"
        },
        {
          "id": "",
          "name": "ntasks",
          "required": false,
          "domType": "input",
          "dataType": "int",
          "value": 1,
          "description": "",
          "validators": [
            {
              "helpText": "请输入非零的正整数",
              "regex": "^[1-9]\\d*$"
            }
          ],
          "choices": [],
          "parameterGroup": "hardware"
        },
        {
          "id": "",
          "show": false,
          "name": "partition",
          "required": false,
          "domType": "input",
          "dataType": "string",
          "value": "c-4-1",
          "description": "",
          "validators": "",
          "choices": [],
          "parameterGroup": "hardware"
        },
        {
          "id": "",
          "show": false,
          "name": "parallelism",
          "required": false,
          "domType": "input",
          "dataType": "int",
          "value": 1,
          "description": "",
          "validators": [
            {
              "helpText": "请输入非零的正整数",
              "regex": "^[1-9]\\d*$"
            }
          ],
          "choices": [],
          "parameterGroup": "hardware"
        }
      ]
    },
    "edges": []
  },
  {
    "id": "批式Node ID (后端定义)",
    "title": "gromaxRun",
    "description": "这是一段gromaxRun算子的描述",
    "version": "1.0.0",
    "allVersions": ["1.0.0"],
    "updateTime": "2022/07/05",
    "tags": ["公共算子"],
    "position": {
      "x": null,
      "y": null
    },
    "type": "BATCH",
    "parentNode": "",
    "data": {
      "status": "wait",
      "parameters": [
        {
          "id": "",
          "show": true,
          "name": "tpr_path",
          "required": true,
          "domType": "pathSelect",
          "dataType": "string",
          "value": "",
          "description": "",
          "validators": [],
          "choices": [],
          "parameterGroup": "in"
        },
        {
          "id": "",
          "show": true,
          "name": "pdb_in",
          "required": true,
          "domType": "fileSelect",
          "dataType": "file",
          "value": "",
          "description": "",
          "validators": [
            {
              "helpText": "请选择pdb文件作为输入",
              "regex": "^.[p][d][b]$"
            }
          ],
          "choices": [],
          "parameterGroup": "in"
        },
        {
          "id": "",
          "show": true,
          "name": "result_out",
          "required": true,
          "domType": "input",
          "dataType": "string",
          "value": "fep",
          "description": "",
          "validators": [
            {
              "helpText": "仅支持中文、英文、数据以及下划线",
              "regex": "^[\u4E00-\u9FA5A-Za-z0-9_]+$"
            }
          ],
          "choices": [],
          "parameterGroup": "out"
        }
      ]
    },
    "edges": []
  },
  {
    "id": "批式Node ID (后端定义)",
    "title": "pdbToTpr",
    "description": "这是一段pdbToTpr算子的描述",
    "version": "1.0.0",
    "allVersions": ["1.0.0"],
    "updateTime": "2022/07/05",
    "tags": ["公共算子"],
    "position": {
      "x": null,
      "y": null
    },
    "type": "BATCH",
    "parentNode": "",
    "data": {
      "status": "wait",
      "parameters": [
        {
          "id": "",
          "show": true,
          "name": "pdb_in",
          "required": true,
          "domType": "fileSelect",
          "dataType": "file",
          "value": "",
          "description": "",
          "validators": [
            {
              "helpText": "请选择pdb文件作为输入",
              "regex": "^.[p][d][b]$"
            }
          ],
          "choices": [],
          "parameterGroup": "in"
        },
        {
          "id": "",
          "show": true,
          "name": "pdb_out",
          "required": true,
          "domType": "input",
          "dataType": "file",
          "value": "",
          "description": "",
          "validators": [
            {
              "helpText": "仅支持中文、英文、数据以及下划线",
              "regex": "^[\u4E00-\u9FA5A-Za-z0-9_]+$"
            }
          ],
          "choices": [],
          "parameterGroup": "out"
        },
        {
          "id": "",
          "show": false,
          "name": "tpr_path",
          "required": true,
          "domType": "pathSelect",
          "dataType": "string",
          "value": "",
          "description": "",
          "validators": [],
          "choices": [],
          "parameterGroup": "out"
        }
      ]
    },
    "edges": []
  }

]
